cURL
curl --request POST \
--url https://cmd.illusory.io/v1/price \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"proxies": [
[
{
"isp": "Verizon",
"location": "Austin",
"interval": 1,
"period": "weekly"
},
{
"isp": "Verizon",
"location": "Austin",
"interval": 1,
"period": "monthly"
},
{
"isp": "AT&T",
"location": "Cleveland",
"interval": 2,
"period": "monthly"
}
]
]
}
'import requests
url = "https://cmd.illusory.io/v1/price"
payload = { "proxies": [[
{
"isp": "Verizon",
"location": "Austin",
"interval": 1,
"period": "weekly"
},
{
"isp": "Verizon",
"location": "Austin",
"interval": 1,
"period": "monthly"
},
{
"isp": "AT&T",
"location": "Cleveland",
"interval": 2,
"period": "monthly"
}
]] }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
proxies: [
[
{isp: 'Verizon', location: 'Austin', interval: 1, period: 'weekly'},
{isp: 'Verizon', location: 'Austin', interval: 1, period: 'monthly'},
{isp: 'AT&T', location: 'Cleveland', interval: 2, period: 'monthly'}
]
]
})
};
fetch('https://cmd.illusory.io/v1/price', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"ok": true,
"message": "Retrieved pricing details successfully.",
"data": {
"member": true,
"periods": {
"weekly": {
"individual": {
"VR-AU-D03C11FA": {
"interval": 1,
"standard": 99,
"member": 89,
"total": 89
}
},
"bulk": {
"individual": 1,
"price": null
},
"total": {
"standard": 99,
"member": 89,
"due": 89
}
},
"monthly": {
"individual": {
"VR-AU-29A225F3": {
"interval": 1,
"standard": 279,
"member": 229,
"total": 219
},
"AT-CL-4AABB4B5": {
"interval": 2,
"standard": 279,
"member": 229,
"total": 438
}
},
"bulk": {
"individual": 2,
"price": 219
},
"total": {
"standard": 837,
"member": 687,
"due": 657
}
}
},
"savings": {
"member": {
"weekly": {
"individual": 10,
"total": 10
},
"monthly": {
"individual": 50,
"total": 150
}
},
"bulk": {
"weekly": {
"individual": 0,
"total": 0
},
"monthly": {
"individual": 10,
"total": 30
}
},
"interval": 18,
"total": 208
},
"total": {
"standard": 936,
"member": 776,
"due": 728
}
}
}{
"ok": false,
"data": {
"proxy_name": "ILL-US-AU1-9999"
},
"message": "Proxy not found"
}{
"ok": false,
"data": {
"count": 0,
"amount": 1,
"location": "Cleveland",
"isp": "AT&T"
},
"message": "The amount requested is lower than the available stock. Please review your cart as it may have been revised."
}Platform
Get Price
Retrieves the pricing details for one or more proxies.
POST
/
v1
/
price
cURL
Authorizations
The Authorization header is used to authenticate with the API using your Master API key. Value is of the format Bearer YOUR_KEY_HERE.
Body
application/json
Pricing details
List of proxies to retrieve pricing for. Each item should include isp, location, interval and period.
Show child attributes
Show child attributes
Response
Server response
Indicates whether the request was successful e.g., true
Success message
Example:
"Retrieved pricing details successfully."
Show child attributes
Show child attributes
Example:
{
"member": true,
"periods": {
"weekly": {
"individual": {
"VR-AU-D03C11FA": {
"interval": 1,
"standard": 99,
"member": 89,
"total": 89
}
},
"bulk": { "individual": 1, "price": null },
"total": { "standard": 99, "member": 89, "due": 89 }
},
"monthly": {
"individual": {
"VR-AU-29A225F3": {
"interval": 1,
"standard": 279,
"member": 229,
"total": 219
},
"AT-CL-4AABB4B5": {
"interval": 2,
"standard": 279,
"member": 229,
"total": 438
}
},
"bulk": { "individual": 2, "price": 219 },
"total": {
"standard": 837,
"member": 687,
"due": 657
}
}
},
"savings": {
"member": {
"weekly": { "individual": 10, "total": 10 },
"monthly": { "individual": 50, "total": 150 }
},
"bulk": {
"weekly": { "individual": 0, "total": 0 },
"monthly": { "individual": 10, "total": 30 }
},
"interval": 18,
"total": 208
},
"total": {
"standard": 936,
"member": 776,
"due": 728
}
}
Was this page helpful?
⌘I